<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Products</title>
</head>
<body>
<h1>Products:</h1>
{% if products %}
<ul>
    {%for product in products%}
    <li>
        <p><a href="{%url 'shopapp:products_details' pk=product.pk%}">Name: {{product.name}}</a></p>
    <p>Price: {{product.price}}</p>
    <p>Discount: {{product.discount}}</p>
    </li>
    {%endfor%}
</ul>
{%else%}
<p>No product</p>

{% endif %}
<!--<div>-->
<!--    <a href="{%url 'shopapp:create_product'%}">Create new product</a>-->
<!--</div>-->
{% if perms.shopapp.add_product%}
<a href="{%url 'shopapp:product_create'%}">Create product</a>
{%endif%}
</body>
</html>